org.apache.fop.layoutmgr

## Class NonLeafPosition

- java.lang.Object
- - org.apache.fop.layoutmgr.Position
  - - org.apache.fop.layoutmgr.NonLeafPosition

    public class NonLeafPosition
    extends Position

A non-leaf position.

### Constructor Summary

Constructors
Constructor and Description
`NonLeafPosition(LayoutManager lm, Position sub)` Construct a leaf position.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `generatesAreas()`
`Position` `getPosition()` Overridden by NonLeafPosition to return the Position of its child LM.
`String` `toString()`

### Methods inherited from class org.apache.fop.layoutmgr.Position

`getIndex, getLM, getLM, getPosition, getShortLMName, setIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NonLeafPosition

    public NonLeafPosition(LayoutManager lm,
                           Position sub)

Construct a leaf position.

Parameters:
  `lm` - the associated layout manager
  `sub` - the position

### Method Detail

#### getPosition

    public Position getPosition()

Description copied from class: `Position`
Overridden by NonLeafPosition to return the Position of its child LM.

Overrides:
  `getPosition` in class `Position`
Returns:
  the sub position

#### generatesAreas

    public boolean generatesAreas()

Overrides:
  `generatesAreas` in class `Position`
Returns:
  true if generates areas

#### toString

    public String toString()

Overrides:
  `toString` in class `Position`